/*@import url('https://fonts.googleapis.com/css2?family=Montserrat:ital,wght@0,100..900;1,100..900&family=Noto+Sans:wght@100..900&family=Open+Sans:ital,wght@0,300..800;1,300..800&family=Roboto:ital,wght@0,100..900;1,100..900&family=Ubuntu:ital,wght@0,300;0,400;0,500;0,700;1,300;1,400;1,500;1,700&display=swap');
*/
@import url("https://fonts.googleapis.com/css2?family=Carlito:ital,wght@0,400;0,700;1,400;1,700&family=Inter:ital,opsz,wght@0,14..32,100..900;1,14..32,100..900&family=Montserrat:ital,wght@0,100..900;1,100..900&family=Noto+Sans:ital,wght@0,100..900;1,100..900&family=PT+Sans+Caption:wght@400;700&family=Rubik:ital,wght@0,300..900;1,300..900&display=swap");
[data-font="Carlito"] {
  --PrimaryFont: "Carlito", sans-serif;
}
[data-font="Inter"] {
  --PrimaryFont: "Inter", sans-serif;
}
[data-font="Montserrat"] {
  --PrimaryFont: "Montserrat", sans-serif;
}
[data-font="Noto_Sans"] {
  --PrimaryFont: "Noto Sans", sans-serif;
}
[data-font="PT Sans Caption"] {
  --PrimaryFont: "PT Sans Caption", sans-serif;
}
[data-font="Rubik"] {
  --PrimaryFont: "Rubik", sans-serif;
}
/*[data-theme="dark_blue"] {

  --body-color: #ffffff;
  --primary-color: #095CBD;
  --GrayColor: #d9dee6;
  --primary-color-overlay: 94, 124, 153;
  --dark-color: #3a4759;
  --secondary-color: #4a6280;
  --alt-color: #6c8aad;
  --alt-overlay: 206, 233, 249;
  --card-color: #ffffff;
  --hoverbg-color: #4a5c70;
  --bg-light-shade: #f2f5f9;
  --SecondaryColor: #e1e3e5;
  --SuccessColor: #5e7c99;
  --LightColor: #8a8a8a;
  --BlackColor: 3, 14, 31;
  --whiteColor: #ffffff;
  --GoldColor: #FFD782;
  --form-input-bg: #ffffff;
  --form-button-bg: #426382;
  --form-input-text: #5b5b5b;
  --border-thickness: 5%;
  --wave-size: 60px;
  --wave-position: bottom;
  --wave-transparent: 0, 0, 0;
  --wave-color: #ffffff;
  --wave-mask-position: 80%;
  --wave-mask-size: 100px 100%;
  --footer-bg: #4a5c70;
  --bg-color: #ffffff;
  --text-color: #000000;
  --hover-bg: #e9ecef;
  --body-bg: #ffffff;
  --border-color: #dddddd;
  --box-shadow: 0 0 4px 0 rgba(94, 124, 153, 0.12);
  --box-shadow-color:rgb(19 30 41 / 15%);
  --bg-image: url('../../assets/error-page-pattern__light.webp');


  --primary-text: #2c3a4e;
  --heading-text: #000000;
  --dark-text: #2c3a4e;
  --para-text: #5B5B5B;
  --white-text: #ffffff;
  --form-text: #4F4F4F;
  --danger-text: #fa5050;
  --text-shadow: 0px 10px 30px rgba(94, 124, 153, 0.3);
}*/
[data-theme="dark_blue"] {
  /* colors */
  --body-color: #ffffff;
  --primary-color: #095cbd;
  --primary-hover-color: #0924bd;
  --secondary-color:#E1E5EB;
  --footer-bg:#222F3D;
  --input-bg-color:rgba(255 255 255/80%);
  /*text*/
  --primary-text: #030E1F;
  --secondary-text:#59616F;
  --white-text: #fff;
  --hover-text: #d5dbff;

  /*--GrayColor: ;
  --primary-color-overlay: ;
  --dark-color: ;
  --secondary-color: #;
  --alt-color: ;
  --alt-overlay: ;
  --card-color: ;
  --hoverbg-color: ;
  --bg-light-shade: ;
  --SecondaryColor: ;
  --SuccessColor: ;
  --LightColor: ;
  --BlackColor: ;
  --whiteColor: ;
  --GoldColor: ;
  --form-input-bg: ;
  --form-button-bg: ;
  --form-input-text: ;
  --border-thickness: ;
  --wave-size: ;
  --wave-position: ;
  --wave-transparent: ;
  --wave-color: ;
  --wave-mask-position: ;
  --wave-mask-size: ;
  --footer-bg: ;
  --bg-color: ;
  --text-color: ;
  --hover-bg: ;
  --body-bg: ;
  --border-color: ;
  --box-shadow: ;
  --box-shadow-color: ;
  --bg-image: url("../../assets/error-page-pattern__light.webp");


  --primary-text: ;
  --heading-text: ;
  --dark-text: ;
  --para-text: ;
  --white-text: ;
  --form-text: ;
  --danger-text: ;
  --text-shadow: ;*/
}
[data-theme="light_blue"] {
  /* colors */
  --body-color: #ffffff;
  --primary-color: #236bfe;
  --primary-hover-color: #2428FF;
  --secondary-color:#EFF3F9;
  --footer-bg:#222F3D;
  --input-bg-color:rgba(255 255 255/80%);
  /*text*/
  --primary-text: #030E1F;
  --secondary-text:#59616F;
  --white-text: #fff;
  --hover-text: #d5faff;
}

[data-theme="blue"] {
  /* colors */
  --body-color: #ffffff;
  --primary-color: #5d48ef;
  --primary-hover-color: #4E3BC5;
  --secondary-color:#F7F6FA;
  --footer-bg:#222F3D;
  --input-bg-color:rgba(255 255 255/80%);
  /*text*/
  --primary-text: #030E1F;
  --secondary-text:#59616F;
  --white-text: #fff;
  --hover-text: #d5e3ff;
}
[data-theme="dark_green"] {
  /* colors */
  --body-color: #ffffff;
  --primary-color: #063b27;
  --primary-hover-color: #0F9864;
  --secondary-color:#E4E4E4;
  --footer-bg:#222F3D;
  --input-bg-color:rgba(255 255 255/80%);
  /*text*/
  --primary-text: #030E1F;
  --secondary-text:#59616F;
  --white-text: #fff;
  --hover-text: #d5ffdd;
}

[data-theme="green"] {
  /* colors */
  --body-color: #ffffff;
  --primary-color: #105b55;
  --primary-hover-color: #1B8E85;
  --secondary-color:#DFE6E5;
  --footer-bg:#222F3D;
  --input-bg-color:rgba(255 255 255/80%);
  /*text*/
  --primary-text: #030E1F;
  --secondary-text:#59616F;
  --white-text: #fff;
  --hover-text: #d5ffe9;
}
[data-theme="light_red"] {
  /* colors */
  --body-color: #ffffff;
  --primary-color: #f13f3f;
  --primary-hover-color: #A62B2B;
  --secondary-color:#EDF2F6;
  --footer-bg:#254969;
  --input-bg-color:rgba(255 255 255/80%);
  /*text*/
  --primary-text: #030E1F;
  --secondary-text:#59616F;
  --white-text: #fff;
  --hover-text: #ffe6d5;
}
[data-theme="red"] {
  /* colors */
  --body-color: #ffffff;
  --primary-color: #e84526;
  --primary-hover-color: #BE391E;
  --secondary-color:#F1F1F9;
  --footer-bg:#455069;
  --input-bg-color:rgba(255 255 255/80%);
  /*text*/
  --primary-text: #030E1F;
  --secondary-text:#59616F;
  --white-text: #fff;
  --hover-text: #ffd5d5;
}

[data-theme="black"] {
  /* colors */
  --body-color: #ffffff;
  --primary-color: #1b1b25;
  --primary-hover-color: #484851;
  --secondary-color:#DDE1EB;
  --footer-bg:#484851;
  --input-bg-color:rgba(255 255 255/80%);
  /*text*/
  --primary-text: #030E1F;
  --secondary-text:#59616F;
  --white-text: #fff;
  --hover-text: #e1e1e1;
}

[data-theme="blue_gradient"] {
  /* colors */
  --body-color: #ffffff;
  --primary-color: linear-gradient(57.48deg, #0386f7 23.28%,#19a8cf 45.76%, #19aecc 57.54%,#19cfc0 84.17%);
  --primary-hover-color: #0386F7;
  --secondary-color:#F2F6F6;
  --footer-bg:#222F3D;
  --input-bg-color:rgba(255 255 255/80%);
  /*text*/
  --primary-text: #030E1F;
  --secondary-text:#59616F;
  --white-text: #fff;
  --hover-text: #d5faff;
}
[data-theme="purple_gradient"] {
  /* colors */
  --body-color: #ffffff;
  --primary-color: linear-gradient(57.48deg,#e44ee1 23.28%,#9c54e4 54.02%,#5532c8 84.17%);
  --primary-hover-color: #5532C8;
  --secondary-color:#F2F6F6;
  --footer-bg:#222F3D;
  --input-bg-color:rgba(255 255 255/80%);
  /*text*/
  --primary-text: #030E1F;
  --secondary-text:#59616F;
  --white-text: #fff;
  --hover-text: #fed5ff;
}

/*gradient text*/
[data-theme="purple_gradient"]{
  .accent-text,
  .dropdown-menu .dropdown-item.active,
  .filter .nav-link,
  .widget-project-info .project-details>ul>li span,
  .accordion-button::after,
  .error-404,
  .pricing-item .price-header-icon-value h3,
  .faq-contact-area .contact-info ul li a:hover,
  .blog-box .item-content .card-link,
  .comments-area .comment-body .reply a:hover,
  .comments-area .comment-author .fn,
  .card-link,
  #requestQuotes .checkbox-custom-dummy::after,
  #contactf .checkbox-custom-dummy::after,
  .fa-calendar-days,
  .steps_el span,
  .dropdown-menu .dropdown-item:hover,
  .counter-main.counter-secondary .counter-heading,
  .contact-bar a:hover,
  .price-slider .price_el:nth-of-type(even) .primary-btn span
  {
    background: var(--primary-color);
    -webkit-background-clip: text;
    -webkit-text-fill-color: transparent;
    background-clip: text;
  }
}
[data-theme="blue_gradient"]{
  .accent-text,
  .dropdown-menu .dropdown-item.active,
  .filter .nav-link,
  .widget-project-info .project-details>ul>li span,
  .accordion-button::after,
  .error-404,
  .pricing-item .price-header-icon-value h3,
  .faq-contact-area .contact-info ul li a:hover,
  .blog-box .item-content .card-link,
  .comments-area .comment-body .reply a:hover,
  .comments-area .comment-author .fn,
  .card-link,
  #requestQuotes .checkbox-custom-dummy::after,
  #contactf .checkbox-custom-dummy::after,
  .fa-calendar-days,
  .steps_el span,
  .dropdown-menu .dropdown-item:hover,
  .counter-main.counter-secondary .counter-heading,
  .contact-bar a:hover,
  .price-slider .price_el:nth-of-type(even) .primary-btn span
  {
    background: var(--primary-color);
    -webkit-background-clip: text;
    -webkit-text-fill-color: transparent;
    background-clip: text;
  }
}
[data-theme="blue_gradient"] .accordion-button:not(.collapsed)::after,
[data-theme="purple_gradient"] .accordion-button:not(.collapsed)::after,
[data-theme="blue_gradient"] .white-btn:hover span,
[data-theme="purple_gradient"] .white-btn:hover span,
[data-theme="blue_gradient"] .price-slider .price_el:nth-of-type(even) .primary-btn:hover span,
[data-theme="purple_gradient"] .price-slider .price_el:nth-of-type(even) .primary-btn:hover span,
[data-theme="blue_gradient"] .cust_card_body:hover .card-link,
[data-theme="purple_gradient"] .cust_card_body:hover .card-link,
[data-theme="blue_gradient"] .card-link:hover,
[data-theme="purple_gradient"] .card-link:hover,
[data-theme="blue_gradient"] .blog-box:hover .item-content .card-link,
[data-theme="purple_gradient"] .blog-box:hover .item-content .card-link{
    background: var(--white-text);
    -webkit-background-clip: text;
    -webkit-text-fill-color: transparent;
    background-clip: text;
}




/*gradient svg*/
[data-theme="blue_gradient"] .accent_icon path[stroke],
[data-theme="blue_gradient"] .accent_icon circle[stroke],
[data-theme="blue_gradient"] .accent_icon rect[stroke],
[data-theme="blue_gradient"] .price-slider .price_el:nth-of-type(even) .price_el_tarif ul li svg path[stroke],
[data-theme="purple_gradient"] .accent_icon path[stroke],
[data-theme="purple_gradient"] .accent_icon circle[stroke],
[data-theme="purple_gradient"] .accent_icon rect[stroke],
[data-theme="purple_gradient"] .price-slider .price_el:nth-of-type(even) .price_el_tarif ul li svg path[stroke]  {
    stroke: url(#globalGradient);
}

[data-theme="blue_gradient"] .accent_icon path[fill],
[data-theme="blue_gradient"] .accent_icon circle[fill],
[data-theme="blue_gradient"] .accent_icon g[fill],
[data-theme="blue_gradient"] .splide__arrow svg,
[data-theme="blue_gradient"] .price_el:nth-of-type(odd) .price_el_header svg rect[fill],
[data-theme="blue_gradient"] .price_el_tarif ul:nth-of-type(1) li svg rect[fill],

[data-theme="purple_gradient"] .accent_icon path[fill],
[data-theme="purple_gradient"] .accent_icon circle[fill],
[data-theme="purple_gradient"] .accent_icon g[fill],
[data-theme="purple_gradient"] .splide__arrow svg,
[data-theme="purple_gradient"] .price_el:nth-of-type(odd) .price_el_header svg rect[fill],
[data-theme="purple_gradient"] .price_el_tarif ul:nth-of-type(1) li svg rect[fill] {
    fill: url(#globalGradient);
}
